Skip to main content
GET
/
preview
/
marketing-solutions
/
ad-sets
/
{ad-set-id}
/preview/marketing-solutions/ad-sets/{ad-set-id}
curl --request GET \
  --url https://api.criteo.com/preview/marketing-solutions/ad-sets/{ad-set-id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "attributes": {
      "advertiserId": "<string>",
      "attributionConfiguration": {},
      "bidding": {
        "bidAmount": 123
      },
      "budget": {
        "budgetAmount": 123
      },
      "campaignId": "<string>",
      "datasetId": "<string>",
      "name": "<string>",
      "schedule": {
        "endDate": {
          "value": "2023-11-07T05:31:56Z"
        },
        "startDate": {
          "value": "2023-11-07T05:31:56Z"
        }
      },
      "targeting": {
        "deliveryLimitations": {
          "devices": [],
          "environments": [],
          "operatingSystems": []
        },
        "frequencyCapping": {
          "value": {
            "maximumImpressions": 123
          }
        },
        "geoLocation": {
          "countries": {
            "value": {
              "values": [
                "<string>"
              ]
            }
          },
          "subdivisions": {
            "value": {
              "values": [
                "<string>"
              ]
            }
          },
          "zipCodes": {
            "value": {
              "values": [
                "<string>"
              ]
            }
          }
        }
      }
    },
    "id": "<string>",
    "type": "ReadAdSetV26Q1"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-set-id
string
required

Id of the ad set

Response

200 - application/json

data for the ad set

output resource

data
object

read model data for resources

errors
object[] | null
read-only
warnings
object[] | null
read-only